package net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils;

import net.greenfieldtech.cloudonixsdk.api.models.StatisticsData;
import net.greenfieldtech.cloudonixsdk.utils.StorageAndPrefsWrapper;

import static net.greenfieldtech.cloudonixsdk.utils.StorageAndPrefsWrapper.PreferencesKeys.USE_REGISTRATION_FREE;

/**
 * Created by alex on 21.04.16.
 */

public class Utils {

  public static int getDuration(StatisticsData stats) {
    int duration = 0;
    if (stats != null) {
      duration = stats.duration;
    }
    return duration;
  }

  public static String convertTime(int duration) {
    StringBuilder builder = new StringBuilder();

    int minutes = duration / 60;
    if (minutes < 10) {
      builder.append("0" + minutes);
    } else {
      builder.append(minutes);
    }

    builder.append(":");

    int seconds = duration % 60;
    if (seconds < 10) {
      builder.append("0" + seconds);
    } else {
      builder.append(seconds);
    }
    return builder.toString();
  }

  public static boolean isRegistrationFree() {
    return StorageAndPrefsWrapper.getInstance().getBoolean(USE_REGISTRATION_FREE, false);
  }

}
